components:
  schemas:
    rows_per_page:
      name: rows_per_page
      in: query
      example: 50
      description: "Paging: how many rows our application should return"
      required: false
      schema:
        type: integer
        format: int32
    page:
      name: page
      in: query
      description: "Paging: which page nummer our application should return"
      example: 1
      required: false
      schema:
        type: integer
        format: int32
    zql:
      name: zql
      in: query
      description: |
        Allows an API user to select a subset of cases by using a SQL like language we call "ZQL". An example below

        **Return all cases**

        `select {} from case`

        **Return all cases of casetype id 55**
        
        `select {} from case where case.casetype.id=55`

        *Please do not get too much used to this query language, we are migrating to an Elasticsearch style
        query language, which we should introduce soon*
      example: "select {} from case where case.casetype.id=5"
      required: false
      deprecated: true
      schema:
        type: string
    uuid:
      name: uuid
      in: path
      required: true
      description: Unique identifier of this object
      schema:
        type: "string"
        format: "uuid"
        description: "Unique UUID of object"
        example: "f8bb8ade-5654-4767-ad34-632c1a4d1516"
